/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2022 MediaTek Inc.
 * Author: Owen Chen <owen.chen@mediatek.com>
 */

#ifndef _DT_BINDINGS_CLK_MT6789_H
#define _DT_BINDINGS_CLK_MT6789_H

/* TOPCKGEN */
#define CLK_TOP_AXI_SEL					0
#define CLK_TOP_SPM_SEL					1
#define CLK_TOP_SCP_SEL					2
#define CLK_TOP_BUS_AXIMEM_SEL				3
#define CLK_TOP_DISP_SEL				4
#define CLK_TOP_MDP_SEL					5
#define CLK_TOP_IMG1_SEL				6
#define CLK_TOP_IPE_SEL					7
#define CLK_TOP_CAM_SEL					8
#define CLK_TOP_MFG_REF_SEL				9
#define CLK_TOP_MFG_PLL_SEL				10
#define CLK_TOP_CAMTG_SEL				11
#define CLK_TOP_CAMTG2_SEL				12
#define CLK_TOP_CAMTG3_SEL				13
#define CLK_TOP_CAMTG4_SEL				14
#define CLK_TOP_CAMTG5_SEL				15
#define CLK_TOP_CAMTG6_SEL				16
#define CLK_TOP_UART_SEL				17
#define CLK_TOP_SPI_SEL					18
#define CLK_TOP_MSDC50_0_HCLK_SEL			19
#define CLK_TOP_MSDC50_0_SEL				20
#define CLK_TOP_MSDC30_1_SEL				21
#define CLK_TOP_AUDIO_SEL				22
#define CLK_TOP_AUD_INTBUS_SEL				23
#define CLK_TOP_PWRAP_ULPOSC_SEL			24
#define CLK_TOP_ATB_SEL					25
#define CLK_TOP_SSPM_SEL				26
#define CLK_TOP_SCAM_SEL				27
#define CLK_TOP_DISP_PWM_SEL				28
#define CLK_TOP_USB_TOP_SEL				29
#define CLK_TOP_I2C_SEL					30
#define CLK_TOP_SENINF_SEL				31
#define CLK_TOP_SENINF1_SEL				32
#define CLK_TOP_SENINF2_SEL				33
#define CLK_TOP_SENINF3_SEL				34
#define CLK_TOP_DXCC_SEL				35
#define CLK_TOP_AUD_ENGEN1_SEL				36
#define CLK_TOP_AUD_ENGEN2_SEL				37
#define CLK_TOP_AES_UFSFDE_SEL				38
#define CLK_TOP_UFS_SEL					39
#define CLK_TOP_AUD_1_SEL				40
#define CLK_TOP_AUD_2_SEL				41
#define CLK_TOP_DPMAIF_MAIN_SEL				42
#define CLK_TOP_VENC_SEL				43
#define CLK_TOP_VDEC_SEL				44
#define CLK_TOP_CAMTM_SEL				45
#define CLK_TOP_PWM_SEL					46
#define CLK_TOP_AUDIO_H_SEL				47
#define CLK_TOP_SPMI_MST_SEL				48
#define CLK_TOP_DVFSRC_SEL				49
#define CLK_TOP_AES_MSDCFDE_SEL				50
#define CLK_TOP_MCUPM_SEL				51
#define CLK_TOP_DSI_OCC_SEL				52
#define CLK_TOP_APLL_I2S0_MCK_SEL			53
#define CLK_TOP_APLL_I2S1_MCK_SEL			54
#define CLK_TOP_APLL_I2S2_MCK_SEL			55
#define CLK_TOP_APLL_I2S3_MCK_SEL			56
#define CLK_TOP_APLL_I2S4_MCK_SEL			57
#define CLK_TOP_APLL_I2S5_MCK_SEL			58
#define CLK_TOP_APLL_I2S6_MCK_SEL			59
#define CLK_TOP_APLL_I2S7_MCK_SEL			60
#define CLK_TOP_APLL_I2S8_MCK_SEL			61
#define CLK_TOP_APLL_I2S9_MCK_SEL			62
#define CLK_TOP_APLL12_CK_DIV0				63
#define CLK_TOP_APLL12_CK_DIV1				64
#define CLK_TOP_APLL12_CK_DIV2				65
#define CLK_TOP_APLL12_CK_DIV3				66
#define CLK_TOP_APLL12_CK_DIV4				67
#define CLK_TOP_APLL12_CK_DIVB				68
#define CLK_TOP_APLL12_CK_DIV5				69
#define CLK_TOP_APLL12_CK_DIV6				70
#define CLK_TOP_APLL12_CK_DIV7				71
#define CLK_TOP_APLL12_CK_DIV8				72
#define CLK_TOP_APLL12_CK_DIV9				73
#define CLK_TOP_MFGPLL					74
#define CLK_TOP_MAINPLL_D4				75
#define CLK_TOP_MAINPLL_D4_D2				76
#define CLK_TOP_MAINPLL_D4_D4				77
#define CLK_TOP_MAINPLL_D4_D8				78
#define CLK_TOP_MAINPLL_D4_D16				79
#define CLK_TOP_MAINPLL_D5				80
#define CLK_TOP_MAINPLL_D5_D2				81
#define CLK_TOP_MAINPLL_D5_D4				82
#define CLK_TOP_MAINPLL_D5_D8				83
#define CLK_TOP_MAINPLL_D6				84
#define CLK_TOP_MAINPLL_D6_D2				85
#define CLK_TOP_MAINPLL_D6_D4				86
#define CLK_TOP_MAINPLL_D7				87
#define CLK_TOP_MAINPLL_D7_D2				88
#define CLK_TOP_MAINPLL_D7_D4				89
#define CLK_TOP_MAINPLL_D7_D8				90
#define CLK_TOP_MAINPLL_D9				91
#define CLK_TOP_UNIVPLL_D4				92
#define CLK_TOP_UNIVPLL_D4_D2				93
#define CLK_TOP_UNIVPLL_D4_D4				94
#define CLK_TOP_UNIVPLL_D4_D8				95
#define CLK_TOP_UNIVPLL_D5				96
#define CLK_TOP_UNIVPLL_D5_D2				97
#define CLK_TOP_UNIVPLL_D5_D4				98
#define CLK_TOP_UNIVPLL_D6				99
#define CLK_TOP_UNIVPLL_D6_D2				100
#define CLK_TOP_UNIVPLL_D6_D4				101
#define CLK_TOP_UNIVPLL_D6_D8				102
#define CLK_TOP_UNIVPLL_D6_D16				103
#define CLK_TOP_UNIVPLL_D7				104
#define CLK_TOP_UNIVPLL_192M_D2				105
#define CLK_TOP_UNIVPLL_192M_D4				106
#define CLK_TOP_UNIVPLL_192M_D8				107
#define CLK_TOP_UNIVPLL_192M_D16			108
#define CLK_TOP_UNIVPLL_192M_D32			109
#define CLK_TOP_APLL1					110
#define CLK_TOP_APLL1_D2				111
#define CLK_TOP_APLL1_D4				112
#define CLK_TOP_APLL1_D8				113
#define CLK_TOP_APLL2					114
#define CLK_TOP_APLL2_D2				115
#define CLK_TOP_APLL2_D4				116
#define CLK_TOP_APLL2_D8				117
#define CLK_TOP_MMPLL_D4_D2				118
#define CLK_TOP_MMPLL_D5_D2				119
#define CLK_TOP_MMPLL_D6				120
#define CLK_TOP_MMPLL_D6_D2				121
#define CLK_TOP_MMPLL_D7				122
#define CLK_TOP_MMPLL_D9				123
#define CLK_TOP_NPUPLL					124
#define CLK_TOP_TVDPLL					125
#define CLK_TOP_MSDCPLL					126
#define CLK_TOP_MSDCPLL_D2				127
#define CLK_TOP_MSDCPLL_D4				128
#define CLK_TOP_CLKRTC					129
#define CLK_TOP_TCK_26M_MX9				130
#define CLK_TOP_F26M_CK_D2				131
#define CLK_TOP_OSC_D2					132
#define CLK_TOP_OSC_D4					133
#define CLK_TOP_OSC_D8					134
#define CLK_TOP_OSC_D16					135
#define CLK_TOP_OSC_D10					136
#define CLK_TOP_OSC_D20					137
#define CLK_TOP_F26M					138
#define CLK_TOP_AXI					139
#define CLK_TOP_DISP					140
#define CLK_TOP_MDP					141
#define CLK_TOP_IMG1					142
#define CLK_TOP_IPE					143
#define CLK_TOP_CAM					144
#define CLK_TOP_MFG_REF					145
#define CLK_TOP_MFG_PLL					146
#define CLK_TOP_UART					147
#define CLK_TOP_SPI					148
#define CLK_TOP_MSDC50_0				149
#define CLK_TOP_MSDC30_1				150
#define CLK_TOP_AUDIO					151
#define CLK_TOP_PWRAP_ULPOSC				152
#define CLK_TOP_DISP_PWM				153
#define CLK_TOP_USB_TOP					154
#define CLK_TOP_I2C					155
#define CLK_TOP_AUD_ENGEN1				156
#define CLK_TOP_AUD_ENGEN2				157
#define CLK_TOP_AES_UFSFDE				158
#define CLK_TOP_UFS					159
#define CLK_TOP_DPMAIF_MAIN				160
#define CLK_TOP_VENC					161
#define CLK_TOP_VDEC					162
#define CLK_TOP_CAMTM					163
#define CLK_TOP_PWM					164
#define CLK_TOP_AUDIO_H					165
#define CLK_TOP_DSI_OCC					166
#define CLK_TOP_I2C_PSEUDO				167
#define CLK_TOP_APDMA					168
#define CLK_TOP_NR_CLK					169

/* INFRACFG_AO */
#define CLK_IFRAO_PMIC_TMR				0
#define CLK_IFRAO_PMIC_AP				1
#define CLK_IFRAO_GCE					2
#define CLK_IFRAO_GCE2					3
#define CLK_IFRAO_THERM					4
#define CLK_IFRAO_I2C_PSEUDO				5
#define CLK_IFRAO_APDMA_PSEUDO				6
#define CLK_IFRAO_PWM_HCLK				7
#define CLK_IFRAO_PWM1					8
#define CLK_IFRAO_PWM2					9
#define CLK_IFRAO_PWM3					10
#define CLK_IFRAO_PWM4					11
#define CLK_IFRAO_PWM					12
#define CLK_IFRAO_UART0					13
#define CLK_IFRAO_UART1					14
#define CLK_IFRAO_UART2					15
#define CLK_IFRAO_UART3					16
#define CLK_IFRAO_GCE_26M				17
#define CLK_IFRAO_BTIF					18
#define CLK_IFRAO_SPI0					19
#define CLK_IFRAO_MSDC0					20
#define CLK_IFRAO_MSDC1					21
#define CLK_IFRAO_MSDC0_SRC				22
#define CLK_IFRAO_AUXADC				23
#define CLK_IFRAO_CPUM					24
#define CLK_IFRAO_CCIF1_AP				25
#define CLK_IFRAO_CCIF1_MD				26
#define CLK_IFRAO_AUXADC_MD				27
#define CLK_IFRAO_MSDC1_SRC				28
#define CLK_IFRAO_MSDC0_AES				29
#define CLK_IFRAO_CCIF_AP				30
#define CLK_IFRAO_DEBUGSYS				31
#define CLK_IFRAO_AUDIO					32
#define CLK_IFRAO_CCIF_MD				33
#define CLK_IFRAO_SSUSB					34
#define CLK_IFRAO_DISP_PWM				35
#define CLK_IFRAO_CLDMA_BCLK				36
#define CLK_IFRAO_AUDIO_26M_BCLK			37
#define CLK_IFRAO_SPI1					38
#define CLK_IFRAO_SPI2					39
#define CLK_IFRAO_SPI3					40
#define CLK_IFRAO_UNIPRO_SYSCLK				41
#define CLK_IFRAO_UNIPRO_TICK				42
#define CLK_IFRAO_UFS_SAP_BCLK				43
#define CLK_IFRAO_SPI4					44
#define CLK_IFRAO_SPI5					45
#define CLK_IFRAO_CQ_DMA				46
#define CLK_IFRAO_UFS					47
#define CLK_IFRAO_UFS_AES				48
#define CLK_IFRAO_AP_MSDC0				49
#define CLK_IFRAO_MD_MSDC0				50
#define CLK_IFRAO_CCIF5_MD				51
#define CLK_IFRAO_CCIF2_AP				52
#define CLK_IFRAO_CCIF2_MD				53
#define CLK_IFRAO_FBIST2FPC				54
#define CLK_IFRAO_DPMAIF_MAIN				55
#define CLK_IFRAO_CCIF4_AP				56
#define CLK_IFRAO_CCIF4_MD				57
#define CLK_IFRAO_SPI6_CK				58
#define CLK_IFRAO_SPI7_CK				59
#define CLK_IFRAO_66MP_BUS_MCLK_CKP			60
#define CLK_IFRAO_AP_DMA				61
#define CLK_IFRAO_NR_CLK				62

/* APMIXEDSYS */
#define CLK_APMIXED_ARMPLL_LL				0
#define CLK_APMIXED_ARMPLL_BL0				1
#define CLK_APMIXED_CCIPLL				2
#define CLK_APMIXED_MPLL				3
#define CLK_APMIXED_MAINPLL				4
#define CLK_APMIXED_UNIVPLL				5
#define CLK_APMIXED_MSDCPLL				6
#define CLK_APMIXED_MMPLL				7
#define CLK_APMIXED_NPUPLL				8
#define CLK_APMIXED_MFGPLL				9
#define CLK_APMIXED_TVDPLL				10
#define CLK_APMIXED_APLL1				11
#define CLK_APMIXED_APLL2				12
#define CLK_APMIXED_USBPLL				13
#define CLK_APMIXED_NR_CLK				14

/* IMP_IIC_WRAP_C */
#define CLK_IMPC_AP_CLOCK_I2C3				0
#define CLK_IMPC_AP_CLOCK_I2C5				1
#define CLK_IMPC_AP_CLOCK_I2C6				2
#define CLK_IMPC_NR_CLK					3

/* AFE */
#define CLK_AFE_AFE					0
#define CLK_AFE_22M					1
#define CLK_AFE_24M					2
#define CLK_AFE_APLL2_TUNER				3
#define CLK_AFE_APLL_TUNER				4
#define CLK_AFE_ADC					5
#define CLK_AFE_DAC					6
#define CLK_AFE_DAC_PREDIS				7
#define CLK_AFE_TML					8
#define CLK_AFE_NLE					9
#define CLK_AFE_I2S1_BCLK				10
#define CLK_AFE_I2S2_BCLK				11
#define CLK_AFE_I2S3_BCLK				12
#define CLK_AFE_I2S4_BCLK				13
#define CLK_AFE_GENERAL3_ASRC				14
#define CLK_AFE_CONNSYS_I2S_ASRC			15
#define CLK_AFE_GENERAL1_ASRC				16
#define CLK_AFE_GENERAL2_ASRC				17
#define CLK_AFE_DAC_HIRES				18
#define CLK_AFE_ADC_HIRES				19
#define CLK_AFE_ADC_HIRES_TML				20
#define CLK_AFE_NR_CLK					21

/* IMP_IIC_WRAP_W */
#define CLK_IMPW_AP_CLOCK_I2C0				0
#define CLK_IMPW_AP_CLOCK_I2C1				1
#define CLK_IMPW_NR_CLK					2

/* IMP_IIC_WRAP_EN */
#define CLK_IMPEN_AP_CLOCK_I2C2				0
#define CLK_IMPEN_AP_CLOCK_I2C4				1
#define CLK_IMPEN_AP_CLOCK_I2C8				2
#define CLK_IMPEN_AP_CLOCK_I2C9				3
#define CLK_IMPEN_NR_CLK				4

/* IMP_IIC_WRAP_N */
#define CLK_IMPN_AP_CLOCK_I2C7				0
#define CLK_IMPN_NR_CLK					1

/* MFG_TOP_CONFIG */
#define CLK_MFGCFG_BG3D					0
#define CLK_MFGCFG_NR_CLK				1

/* DISPSYS_CONFIG */
#define CLK_MM_DISP_MUTEX0				0
#define CLK_MM_APB_BUS					1
#define CLK_MM_DISP_OVL0				2
#define CLK_MM_DISP_RDMA0				3
#define CLK_MM_DISP_OVL0_2L				4
#define CLK_MM_DISP_WDMA0				5
#define CLK_MM_DISP_RSZ0				6
#define CLK_MM_DISP_AAL0				7
#define CLK_MM_DISP_CCORR0				8
#define CLK_MM_DISP_COLOR0				9
#define CLK_MM_SMI_INFRA				10
#define CLK_MM_DISP_DSC_WRAP0				11
#define CLK_MM_DISP_GAMMA0				12
#define CLK_MM_DISP_POSTMASK0				13
#define CLK_MM_DISP_DITHER0				14
#define CLK_MM_SMI_COMMON				15
#define CLK_MM_DSI0					16
#define CLK_MM_DISP_FAKE_ENG0				17
#define CLK_MM_DISP_FAKE_ENG1				18
#define CLK_MM_SMI_GALS					19
#define CLK_MM_SMI_IOMMU				20
#define CLK_MM_DSI0_DSI_CK_DOMAIN			21
#define CLK_MM_DISP_26M					22
#define CLK_MM_NR_CLK					23

/* DISP_DSC */
#define CLK_DISP_DSC_DSC_EN				0
#define CLK_DISP_DSC_NR_CLK				1

/* IMGSYS1 */
#define CLK_IMGSYS1_LARB9				0
#define CLK_IMGSYS1_LARB10				1
#define CLK_IMGSYS1_DIP					2
#define CLK_IMGSYS1_GALS				3
#define CLK_IMGSYS1_NR_CLK				4

/* VDEC_GCON_BASE */
#define CLK_VDE2_LARB1_CKEN				0
#define CLK_VDE2_LAT_CKEN				1
#define CLK_VDE2_LAT_ACTIVE				2
#define CLK_VDE2_LAT_CKEN_ENG				3
#define CLK_VDE2_MINI_MDP_CKEN_CFG_RG			4
#define CLK_VDE2_VDEC_CKEN				5
#define CLK_VDE2_VDEC_ACTIVE				6
#define CLK_VDE2_VDEC_CKEN_ENG				7
#define CLK_VDE2_NR_CLK					8

/* VENC_GCON */
#define CLK_VEN1_CKE0_LARB				0
#define CLK_VEN1_CKE1_VENC				1
#define CLK_VEN1_CKE2_JPGENC				2
#define CLK_VEN1_CKE5_GALS				3
#define CLK_VEN1_NR_CLK					4

/* CAMSYS_MAIN */
#define CLK_CAM_M_LARB13				0
#define CLK_CAM_M_LARB14				1
#define CLK_CAM_M_CAM					2
#define CLK_CAM_M_CAMTG					3
#define CLK_CAM_M_SENINF				4
#define CLK_CAM_M_CAMSV1				5
#define CLK_CAM_M_CAMSV2				6
#define CLK_CAM_M_CAMSV3				7
#define CLK_CAM_M_MRAW0					8
#define CLK_CAM_M_FAKE_ENG				9
#define CLK_CAM_M_CAM2MM_GALS				10
#define CLK_CAM_M_NR_CLK				11

/* CAMSYS_RAWA */
#define CLK_CAM_RA_LARBX				0
#define CLK_CAM_RA_CAM					1
#define CLK_CAM_RA_CAMTG				2
#define CLK_CAM_RA_NR_CLK				3

/* CAMSYS_RAWB */
#define CLK_CAM_RB_LARBX				0
#define CLK_CAM_RB_CAM					1
#define CLK_CAM_RB_CAMTG				2
#define CLK_CAM_RB_NR_CLK				3

/* IPESYS */
#define CLK_IPE_LARB19					0
#define CLK_IPE_LARB20					1
#define CLK_IPE_SMI_SUBCOM				2
#define CLK_IPE_FD					3
#define CLK_IPE_FE					4
#define CLK_IPE_RSC					5
#define CLK_IPE_DPE					6
#define CLK_IPE_GALS					7
#define CLK_IPE_NR_CLK					8

/* MDPSYS_CONFIG */
#define CLK_MDP_RDMA0					0
#define CLK_MDP_TDSHP0					1
#define CLK_MDP_IMG_DL_ASYNC0				2
#define CLK_MDP_IMG_DL_ASYNC1				3
#define CLK_MDP_SMI0					4
#define CLK_MDP_APB_BUS					5
#define CLK_MDP_WROT0					6
#define CLK_MDP_RSZ0					7
#define CLK_MDP_HDR0					8
#define CLK_MDP_MUTEX0					9
#define CLK_MDP_WROT1					10
#define CLK_MDP_RSZ1					11
#define CLK_MDP_FAKE_ENG0				12
#define CLK_MDP_AAL0					13
#define CLK_MDP_IMG_DL_RELAY0_ASYNC0			14
#define CLK_MDP_IMG_DL_RELAY1_ASYNC1			15
#define CLK_MDP_NR_CLK					16

#endif /* _DT_BINDINGS_CLK_MT6789_H */
