/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2021 MediaTek Inc.
 * Author: Ren-Ting Wang <ren-ting.wang@mediatek.com>
 */

#ifndef _DT_BINDINGS_CLK_MT6895_H
#define _DT_BINDINGS_CLK_MT6895_H

/* TOPCKGEN */
#define CLK_TOP_AXI_SEL					0
#define CLK_TOPP_AXI_SEL				1
#define CLK_TOP_U_HAXI_SEL				2
#define CLK_TOP_BUS_AXIMEM_SEL				3
#define CLK_TOP_DISP0_SEL				4
#define CLK_TOP_DISP1_SEL				5
#define CLK_TOP_MDP0_SEL				6
#define CLK_TOP_MDP1_SEL				7
#define CLK_TOP_MMINFRA_SEL				8
#define CLK_TOP_MMUP_SEL				9
#define CLK_TOP_DSP_SEL					10
#define CLK_TOP_DSP1_SEL				11
#define CLK_TOP_DSP2_SEL				12
#define CLK_TOP_DSP3_SEL				13
#define CLK_TOP_DSP4_SEL				14
#define CLK_TOP_DSP5_SEL				15
#define CLK_TOP_DSP6_SEL				16
#define CLK_TOP_DSP7_SEL				17
#define CLK_TOP_MFG_REF_SEL				18
#define CLK_TOP_MFGSC_REF_SEL				19
#define CLK_TOP_CAMTG_SEL				20
#define CLK_TOP_CAMTG2_SEL				21
#define CLK_TOP_CAMTG3_SEL				22
#define CLK_TOP_CAMTG4_SEL				23
#define CLK_TOP_CAMTG5_SEL				24
#define CLK_TOP_CAMTG6_SEL				25
#define CLK_TOP_CAMTG7_SEL				26
#define CLK_TOP_SPI_SEL					27
#define CLK_TOP_MSDC_MACRO_SEL				28
#define CLK_TOP_MSDC30_1_SEL				29
#define CLK_TOP_MSDC30_2_SEL				30
#define CLK_TOP_AUDIO_SEL				31
#define CLK_TOP_AUD_INTBUS_SEL				32
#define CLK_TOP_ATB_SEL					33
#define CLK_TOP_DP_SEL					34
#define CLK_TOP_DISP_PWM_SEL				35
#define CLK_TOP_USB_TOP_SEL				36
#define CLK_TOP_USB_XHCI_SEL				37
#define CLK_TOP_USB_TOP_1P_SEL				38
#define CLK_TOP_USB_XHCI_1P_SEL				39
#define CLK_TOP_I2C_SEL					40
#define CLK_TOP_SENINF_SEL				41
#define CLK_TOP_SENINF1_SEL				42
#define CLK_TOP_SENINF2_SEL				43
#define CLK_TOP_SENINF3_SEL				44
#define CLK_TOP_SENINF4_SEL				45
#define CLK_TOP_DXCC_SEL				46
#define CLK_TOP_AUD_ENGEN1_SEL				47
#define CLK_TOP_AUD_ENGEN2_SEL				48
#define CLK_TOP_AES_UFSFDE_SEL				49
#define CLK_TOP_U_SEL					50
#define CLK_TOP_U_MBIST_SEL				51
#define CLK_TOP_PEXTP_MBIST_SEL				52
#define CLK_TOP_AUD_1_SEL				53
#define CLK_TOP_AUD_2_SEL				54
#define CLK_TOP_ADSP_SEL				55
#define CLK_TOP_DPMAIF_MAIN_SEL				56
#define CLK_TOP_VENC_SEL				57
#define CLK_TOP_VDEC_SEL				58
#define CLK_TOP_PWM_SEL					59
#define CLK_TOP_AUDIO_H_SEL				60
#define CLK_TOP_MCUPM_SEL				61
#define CLK_TOP_MEM_SUB_SEL				62
#define CLK_TOPP_MEM_SEL				63
#define CLK_TOP_U_MEM_SEL				64
#define CLK_TOP_EMI_N_SEL				65
#define CLK_TOP_EMI_S_SEL				66
#define CLK_TOP_DSI_OCC_SEL				67
#define CLK_TOP_CCU_AHB_SEL				68
#define CLK_TOP_AP2CONN_HOST_SEL			69
#define CLK_TOP_IMG1_SEL				70
#define CLK_TOP_IPE_SEL					71
#define CLK_TOP_CAM_SEL					72
#define CLK_TOP_CCUSYS_SEL				73
#define CLK_TOP_CAMTM_SEL				74
#define CLK_TOP_MCU_ACP_SEL				75
#define CLK_TOP_MFG_SEL_0_SEL				76
#define CLK_TOP_MFG_SEL_1_SEL				77
#define CLK_TOP_APLL_I2S0_MCK_SEL			78
#define CLK_TOP_APLL_I2S1_MCK_SEL			79
#define CLK_TOP_APLL_I2S2_MCK_SEL			80
#define CLK_TOP_APLL_I2S3_MCK_SEL			81
#define CLK_TOP_APLL_I2S4_MCK_SEL			82
#define CLK_TOP_APLL_I2S5_MCK_SEL			83
#define CLK_TOP_APLL_I2S6_MCK_SEL			84
#define CLK_TOP_APLL_I2S7_MCK_SEL			85
#define CLK_TOP_APLL_I2S8_MCK_SEL			86
#define CLK_TOP_APLL_I2S9_MCK_SEL			87
#define CLK_TOP_APLL12_CK_DIV0				88
#define CLK_TOP_APLL12_CK_DIV1				89
#define CLK_TOP_APLL12_CK_DIV2				90
#define CLK_TOP_APLL12_CK_DIV3				91
#define CLK_TOP_APLL12_CK_DIV4				92
#define CLK_TOP_APLL12_CK_DIVB				93
#define CLK_TOP_APLL12_CK_DIV5				94
#define CLK_TOP_APLL12_CK_DIV6				95
#define CLK_TOP_APLL12_CK_DIV7				96
#define CLK_TOP_APLL12_CK_DIV8				97
#define CLK_TOP_APLL12_CK_DIV9				98
#define CLK_TOP_CCIPLL					99
#define CLK_TOP_MFGPLL					100
#define CLK_TOP_MFGSCPLL				101
#define CLK_TOP_MAINPLL					102
#define CLK_TOP_MAINPLL_D3				103
#define CLK_TOP_MAINPLL_D4				104
#define CLK_TOP_MAINPLL_D4_D2				105
#define CLK_TOP_MAINPLL_D4_D4				106
#define CLK_TOP_MAINPLL_D4_D8				107
#define CLK_TOP_MAINPLL_D4_D16				108
#define CLK_TOP_MAINPLL_D5				109
#define CLK_TOP_MAINPLL_D5_D2				110
#define CLK_TOP_MAINPLL_D5_D4				111
#define CLK_TOP_MAINPLL_D5_D8				112
#define CLK_TOP_MAINPLL_D6				113
#define CLK_TOP_MAINPLL_D6_D2				114
#define CLK_TOP_MAINPLL_D6_D4				115
#define CLK_TOP_MAINPLL_D6_D8				116
#define CLK_TOP_MAINPLL_D7				117
#define CLK_TOP_MAINPLL_D7_D2				118
#define CLK_TOP_MAINPLL_D7_D4				119
#define CLK_TOP_MAINPLL_D7_D8				120
#define CLK_TOP_MAINPLL_D9				121
#define CLK_TOP_UNIVPLL_D2				122
#define CLK_TOP_UNIVPLL_D3				123
#define CLK_TOP_UNIVPLL_D4				124
#define CLK_TOP_UNIVPLL_D4_D2				125
#define CLK_TOP_UNIVPLL_D4_D4				126
#define CLK_TOP_UNIVPLL_D4_D8				127
#define CLK_TOP_UNIVPLL_D5				128
#define CLK_TOP_UNIVPLL_D5_D2				129
#define CLK_TOP_UNIVPLL_D5_D4				130
#define CLK_TOP_UNIVPLL_D6				131
#define CLK_TOP_UNIVPLL_D6_D2				132
#define CLK_TOP_UNIVPLL_D6_D4				133
#define CLK_TOP_UNIVPLL_D6_D8				134
#define CLK_TOP_UNIVPLL_D6_D16				135
#define CLK_TOP_UNIVPLL_D7				136
#define CLK_TOP_UNIVPLL_192M_D2				137
#define CLK_TOP_UNIVPLL_192M_D4				138
#define CLK_TOP_UNIVPLL_192M_D8				139
#define CLK_TOP_UNIVPLL_192M_D10			140
#define CLK_TOP_UNIVPLL_192M_D16			141
#define CLK_TOP_UNIVPLL_192M_D32			142
#define CLK_TOP_APLL1					143
#define CLK_TOP_APLL1_D2				144
#define CLK_TOP_APLL1_D4				145
#define CLK_TOP_APLL1_D8				146
#define CLK_TOP_APLL2					147
#define CLK_TOP_APLL2_D2				148
#define CLK_TOP_APLL2_D4				149
#define CLK_TOP_APLL2_D8				150
#define CLK_TOP_ADSPPLL					151
#define CLK_TOP_IMGPLL_D2				152
#define CLK_TOP_IMGPLL_D5				153
#define CLK_TOP_MMPLL_D4				154
#define CLK_TOP_MMPLL_D4_D2				155
#define CLK_TOP_MMPLL_D5				156
#define CLK_TOP_MMPLL_D5_D2				157
#define CLK_TOP_MMPLL_D6				158
#define CLK_TOP_MMPLL_D6_D2				159
#define CLK_TOP_MMPLL_D7				160
#define CLK_TOP_MMPLL_D9				161
#define CLK_TOP_TVDPLL					162
#define CLK_TOP_TVDPLL_D2				163
#define CLK_TOP_TVDPLL_D4				164
#define CLK_TOP_TVDPLL_D8				165
#define CLK_TOP_TVDPLL_D16				166
#define CLK_TOP_MSDCPLL					167
#define CLK_TOP_MSDCPLL_D2				168
#define CLK_TOP_CLKRTC					169
#define CLK_TOP_TCK_26M_MX9				170
#define CLK_TOP_F26M_CK_D2				171
#define CLK_TOP_OSC					172
#define CLK_TOP_OSC_D2					173
#define CLK_TOP_OSC_D4					174
#define CLK_TOP_OSC_D7					175
#define CLK_TOP_OSC_D8					176
#define CLK_TOP_OSC_D16					177
#define CLK_TOP_OSC_D10					178
#define CLK_TOP_ULPOSC					179
#define CLK_TOP_F26M					180
#define CLK_TOP_RTC					181
#define CLK_TOP_AXI					182
#define CLK_TOPP_AXI					183
#define CLK_TOP_U_HAXI					184
#define CLK_TOP_BUS					185
#define CLK_TOP_DISP0					186
#define CLK_TOP_DISP1					187
#define CLK_TOP_MDP0					188
#define CLK_TOP_MDP1					189
#define CLK_TOP_MMINFRA					190
#define CLK_TOP_MMUP					191
#define CLK_TOP_DSP					192
#define CLK_TOP_DSP1					193
#define CLK_TOP_DSP2					194
#define CLK_TOP_DSP3					195
#define CLK_TOP_DSP4					196
#define CLK_TOP_DSP5					197
#define CLK_TOP_DSP6					198
#define CLK_TOP_DSP7					199
#define CLK_TOP_MFG_REF					200
#define CLK_TOP_MFGSC_REF				201
#define CLK_TOP_CAMTG					202
#define CLK_TOP_CAMTG2					203
#define CLK_TOP_CAMTG3					204
#define CLK_TOP_CAMTG4					205
#define CLK_TOP_CAMTG5					206
#define CLK_TOP_CAMTG6					207
#define CLK_TOP_CAMTG7					208
#define CLK_TOP_UART					209
#define CLK_TOP_SPI					210
#define CLK_TOP_MSDC_MACRO				211
#define CLK_TOP_MSDC30_1				212
#define CLK_TOP_MSDC30_2				213
#define CLK_TOP_AUDIO					214
#define CLK_TOP_AUD_INTBUS				215
#define CLK_TOP_ATB					216
#define CLK_TOP_DP					217
#define CLK_TOP_DISP_PWM				218
#define CLK_TOP_USB_TOP					219
#define CLK_TOP_USB_XHCI				220
#define CLK_TOP_USB_TOP_1P				221
#define CLK_TOP_USB_XHCI_1P				222
#define CLK_TOP_I2C					223
#define CLK_TOP_SENINF					224
#define CLK_TOP_SENINF1					225
#define CLK_TOP_SENINF2					226
#define CLK_TOP_SENINF3					227
#define CLK_TOP_SENINF4					228
#define CLK_TOP_DXCC					229
#define CLK_TOP_AUD_ENGEN1				230
#define CLK_TOP_AUD_ENGEN2				231
#define CLK_TOP_AES_UFSFDE				232
#define CLK_TOP_UFS					233
#define CLK_TOP_U_MBIST					234
#define CLK_TOP_PEXTP_MBIST				235
#define CLK_TOP_AUD_1					236
#define CLK_TOP_AUD_2					237
#define CLK_TOP_ADSP					238
#define CLK_TOP_DPMAIF_MAIN				239
#define CLK_TOP_VENC					240
#define CLK_TOP_VDEC					241
#define CLK_TOP_PWM					242
#define CLK_TOP_AUDIO_H					243
#define CLK_TOP_MCUPM					244
#define CLK_TOP_MEM_SUB					245
#define CLK_TOPP_MEM					246
#define CLK_TOP_U_MEM					247
#define CLK_TOP_EMI_N					248
#define CLK_TOP_EMI_S					249
#define CLK_TOP_DSI_OCC					250
#define CLK_TOP_CCU_AHB					251
#define CLK_TOP_AP2CONN_HOST				252
#define CLK_TOP_MCU_ACP					253
#define CLK_TOP_MFG_SEL_0_CK				254
#define CLK_TOP_MFG_SEL_1_CK				255
#define CLK_TOP_IMG1					256
#define CLK_TOP_IPE					257
#define CLK_TOP_CAM					258
#define CLK_TOP_CCUSYS					259
#define CLK_TOP_CAMTM					260
#define CLK_TOP_EINT_E_MCLK				261
#define CLK_TOP_EINT_S_MCLK				262
#define CLK_TOP_EINT_N_MCLK				263
#define CLK_TOP_EINT_W_MCLK				264
#define CLK_TOP_AP2CONN_OSC				265
#define CLK_TOP_USB_FMCNT				266
#define CLK_TOP_USB_FMCNT_P1				267
#define CLK_TOP_MD_OSC_26M				268
#define CLK_TOP_PMSRCK					269
#define CLK_TOP_U_SAP_CFG				270
#define CLK_TOP_U_TICK1US				271
#define CLK_TOP_ARMPLL_DIVIDER_PLL1_CK_EN		272
#define CLK_TOP_ARMPLL_DIVIDER_PLL2_CK_EN		273
#define CLK_TOP_U_SAP_CFG_CK_EN				274
#define CLK_TOP_U_TICK1US_CK_EN				275
#define CLK_TOP_MD_32K					276
#define CLK_TOP_NR_CLK					277

/* INFRACFG_AO */
#define CLK_IFRAO_THERM					0
#define CLK_IFRAO_CCIF1_AP				1
#define CLK_IFRAO_CCIF1_MD				2
#define CLK_IFRAO_CCIF_AP				3
#define CLK_IFRAO_CCIF_MD				4
#define CLK_IFRAO_CLDMA_BCLK				5
#define CLK_IFRAO_CQ_DMA				6
#define CLK_IFRAO_CCIF5_MD				7
#define CLK_IFRAO_CCIF2_AP				8
#define CLK_IFRAO_CCIF2_MD				9
#define CLK_IFRAO_FBIST2FPC				10
#define CLK_IFRAO_DPMAIF_MAIN				11
#define CLK_IFRAO_CCIF4_MD				12
#define CLK_IFRAO_RG_MMW_DPMAIF26M_CK			13
#define CLK_IFRAO_NR_CLK				14

/* APMIXEDSYS */
#define CLK_APMIXED_ARMPLL_LL				0
#define CLK_APMIXED_ARMPLL_BL				1
#define CLK_APMIXED_ARMPLL_B				2
#define CLK_APMIXED_CCIPLL				3
#define CLK_APMIXED_MAINPLL				4
#define CLK_APMIXED_UNIVPLL				5
#define CLK_APMIXED_MSDCPLL				6
#define CLK_APMIXED_MMPLL				7
#define CLK_APMIXED_ADSPPLL				8
#define CLK_APMIXED_TVDPLL				9
#define CLK_APMIXED_APLL1				10
#define CLK_APMIXED_APLL2				11
#define CLK_APMIXED_MPLL				12
#define CLK_APMIXED_IMGPLL				13
#define CLK_APMIXED_NR_CLK				14

/* PERICFG_AO */
#define CLK_PERAOP_0_UART0				0
#define CLK_PERAOP_0_UART1				1
#define CLK_PERAOP_0_UART2				2
#define CLK_PERAOP_0_PWM_HCLK				3
#define CLK_PERAOP_0_PWM_BCLK				4
#define CLK_PERAOP_0_PWM_FBCLK1				5
#define CLK_PERAOP_0_PWM_FBCLK2				6
#define CLK_PERAOP_0_PWM_FBCLK3				7
#define CLK_PERAOP_0_PWM_FBCLK4				8
#define CLK_PERAOP_0_BTIF				9
#define CLK_PERAOP_0_DISP				10
#define CLK_PERAOP_0_DISP_H				11
#define CLK_PERAOP_0_SPI0_BCLK				12
#define CLK_PERAOP_0_SPI1_BCLK				13
#define CLK_PERAOP_0_SPI2_BCLK				14
#define CLK_PERAOP_0_SPI3_BCLK				15
#define CLK_PERAOP_0_SPI4_BCLK				16
#define CLK_PERAOP_0_SPI5_BCLK				17
#define CLK_PERAOP_0_SPI6_BCLK				18
#define CLK_PERAOP_0_SPI7_BCLK				19
#define CLK_PERAOP_1_DMA_BCLK				20
#define CLK_PERAOP_1_USB_FRMC				21
#define CLK_PERAOP_1_USB_SYS				22
#define CLK_PERAOP_1_USB_XHCI				23
#define CLK_PERAOP_1_USB1P_FRMC				24
#define CLK_PERAOP_1_USB1P_SYS				25
#define CLK_PERAOP_1_USB1P_XHCI				26
#define CLK_PERAOP_1_MSDC1				27
#define CLK_PERAOP_1_MSDC1_HCLK				28
#define CLK_PERAOP_1_MSDC2				29
#define CLK_PERAOP_1_MSDC2_HCLK				30
#define CLK_PERAO_NR_CLK				31

/* SSUSB_SIFSLV_IPPC */
#define CLK_USB_SIF_USB_U2_P				0
#define CLK_USB_SIF_USB_U3_P				1
#define CLK_USB_SIF_NR_CLK				2

/* SSUSB_SIFSLV_IPPC_P1 */
#define CLK_USB_SIF_P1_USB_U2_P				0
#define CLK_USB_SIF_P1_USB_U3_P				1
#define CLK_USB_SIF_P1_NR_CLK				2

/* IMP_IIC_WRAP_C */
#define CLK_IMPC_AP_CLOCK_I2C5				0
#define CLK_IMPC_AP_CLOCK_I2C6				1
#define CLK_IMPC_NR_CLK					2

/* UFS_AO_CONFIG */
#define CLK_UFSAO_U_AO_0_TXSYMBLOCLK			0
#define CLK_UFSAO_U_AO_0_RXSYMBLOCLK0			1
#define CLK_UFSAO_U_AO_0_RXSYMBLOCLK1			2
#define CLK_UFSAO_U_AO_0_SYSCLK				3
#define CLK_UFSAO_U_AO_0_UMPSAP				4
#define CLK_UFSAO_U_AO_0_MMPSAP				5
#define CLK_UFSAO_NR_CLK				6

/* UFS_PDN_CFG */
#define CLK_UFSPDN_U_0_HCIUFS				0
#define CLK_UFSPDN_U_0_HCIAES				1
#define CLK_UFSPDN_NR_CLK				2

/* IMP_IIC_WRAP_S */
#define CLK_IMPS_AP_CLOCK_I2C1				0
#define CLK_IMPS_AP_CLOCK_I2C2				1
#define CLK_IMPS_AP_CLOCK_I2C3				2
#define CLK_IMPS_AP_CLOCK_I2C4				3
#define CLK_IMPS_AP_CLOCK_I2C7				4
#define CLK_IMPS_AP_CLOCK_I2C8				5
#define CLK_IMPS_AP_CLOCK_I2C9				6
#define CLK_IMPS_NR_CLK					7

/* IMP_IIC_WRAP_W */
#define CLK_IMPW_AP_CLOCK_I2C0				0
#define CLK_IMPW_NR_CLK					1

/* MFGPLL_PLL_CTRL */
#define CLK_MFG_AO_MFGPLL				0
#define CLK_MFG_AO_NR_CLK				1

/* MFGSCPLL_PLL_CTRL */
#define CLK_MFGSC_AO_MFGSCPLL				0
#define CLK_MFGSC_AO_NR_CLK				1

/* MFG_TOP_CONFIG */
#define CLK_MFGCFG_BG3D					0
#define CLK_MFGCFG_NR_CLK				1

/* MMSYS0_CONFIG */
#define CLK_MM0_DISP_MUTEX0				0
#define CLK_MM0_DISP_OVL0				1
#define CLK_MM0_DISP_MERGE0				2
#define CLK_MM0_DISP_FAKE_ENG0				3
#define CLK_MM0_INLINEROT0				4
#define CLK_MM0_DISP_WDMA0				5
#define CLK_MM0_DISP_FAKE_ENG1				6
#define CLK_MM0_DISP_DPI0				7
#define CLK_MM0_DISP_OVL0_2L_NW				8
#define CLK_MM0_DISP_RDMA0				9
#define CLK_MM0_DISP_RDMA1				10
#define CLK_MM0_DISP_DLI_ASYNC0				11
#define CLK_MM0_DISP_DLI_ASYNC1				12
#define CLK_MM0_DISP_DLI_ASYNC2				13
#define CLK_MM0_DISP_DLO_ASYNC0				14
#define CLK_MM0_DISP_DLO_ASYNC1				15
#define CLK_MM0_DISP_DLO_ASYNC2				16
#define CLK_MM0_DISP_RSZ0				17
#define CLK_MM0_DISP_COLOR0				18
#define CLK_MM0_DISP_CCORR0				19
#define CLK_MM0_DISP_CCORR1				20
#define CLK_MM0_DISP_AAL0				21
#define CLK_MM0_DISP_GAMMA0				22
#define CLK_MM0_DISP_POSTMASK0				23
#define CLK_MM0_DISP_DITHER0				24
#define CLK_MM0_DISP_CM0				25
#define CLK_MM0_DISP_SPR0				26
#define CLK_MM0_DISP_DSC_WRAP0				27
#define CLK_MM0_FMM_DISP_DSI0				28
#define CLK_MM0_DISP_UFBC_WDMA0				29
#define CLK_MM0_DISP_WDMA1				30
#define CLK_MM0_FMM_DISP_DP_INTF0			31
#define CLK_MM0_APB_BUS					32
#define CLK_MM0_DISP_TDSHP0				33
#define CLK_MM0_DISP_C3D0				34
#define CLK_MM0_DISP_Y2R0				35
#define CLK_MM0_MDP_AAL0				36
#define CLK_MM0_DISP_CHIST0				37
#define CLK_MM0_DISP_CHIST1				38
#define CLK_MM0_DISP_OVL0_2L				39
#define CLK_MM0_DISP_DLI_ASYNC3				40
#define CLK_MM0_DISP_DLO_ASYNC3				41
#define CLK_MM0_DISP_OVL1_2L				42
#define CLK_MM0_DISP_OVL1_2L_NW				43
#define CLK_MM0_SMI_COMMON				44
#define CLK_MM0_DISP_DSI				45
#define CLK_MM0_DISP_DP_INTF0				46
#define CLK_MM0_SIG_EMI					47
#define CLK_MM0_NR_CLK					48

/* MMSYS1_CONFIG */
#define CLK_MM1_DISP_MUTEX0				0
#define CLK_MM1_DISP_OVL0				1
#define CLK_MM1_DISP_MERGE0				2
#define CLK_MM1_DISP_FAKE_ENG0				3
#define CLK_MM1_INLINEROT0				4
#define CLK_MM1_DISP_WDMA0				5
#define CLK_MM1_DISP_FAKE_ENG1				6
#define CLK_MM1_DISP_DPI0				7
#define CLK_MM1_DISP_OVL0_2L_NW				8
#define CLK_MM1_DISP_RDMA0				9
#define CLK_MM1_DISP_RDMA1				10
#define CLK_MM1_DISP_DLI_ASYNC0				11
#define CLK_MM1_DISP_DLI_ASYNC1				12
#define CLK_MM1_DISP_DLI_ASYNC2				13
#define CLK_MM1_DISP_DLO_ASYNC0				14
#define CLK_MM1_DISP_DLO_ASYNC1				15
#define CLK_MM1_DISP_DLO_ASYNC2				16
#define CLK_MM1_DISP_RSZ0				17
#define CLK_MM1_DISP_COLOR0				18
#define CLK_MM1_DISP_CCORR0				19
#define CLK_MM1_DISP_CCORR1				20
#define CLK_MM1_DISP_AAL0				21
#define CLK_MM1_DISP_GAMMA0				22
#define CLK_MM1_DISP_POSTMASK0				23
#define CLK_MM1_DISP_DITHER0				24
#define CLK_MM1_DISP_CM0				25
#define CLK_MM1_DISP_SPR0				26
#define CLK_MM1_DISP_DSC_WRAP0				27
#define CLK_MM1_FMM_DISP_DSI0				28
#define CLK_MM1_DISP_UFBC_WDMA0				29
#define CLK_MM1_DISP_WDMA1				30
#define CLK_MM1_FMM_DISP_DP_INTF0			31
#define CLK_MM1_APB_BUS					32
#define CLK_MM1_DISP_TDSHP0				33
#define CLK_MM1_DISP_C3D0				34
#define CLK_MM1_DISP_Y2R0				35
#define CLK_MM1_MDP_AAL0				36
#define CLK_MM1_DISP_CHIST0				37
#define CLK_MM1_DISP_CHIST1				38
#define CLK_MM1_DISP_OVL0_2L				39
#define CLK_MM1_DISP_DLI_ASYNC3				40
#define CLK_MM1_DISP_DLO_ASYNC3				41
#define CLK_MM1_DISP_OVL1_2L				42
#define CLK_MM1_DISP_OVL1_2L_NW				43
#define CLK_MM1_SMI_COMMON				44
#define CLK_MM1_DISP_DSI				45
#define CLK_MM1_DISP_DP_INTF0				46
#define CLK_MM1_SIG_EMI					47
#define CLK_MM1_NR_CLK					48

/* IMGSYS_MAIN */
#define CLK_IMG_LARB9					0
#define CLK_IMG_TRAW0					1
#define CLK_IMG_TRAW1					2
#define CLK_IMG_VCORE_GALS				3
#define CLK_IMG_DIP0					4
#define CLK_IMG_WPE0					5
#define CLK_IMG_IPE					6
#define CLK_IMG_WPE1					7
#define CLK_IMG_WPE2					8
#define CLK_IMG_ADL_LARB				9
#define CLK_IMG_ADL_TOP0				10
#define CLK_IMG_ADL_TOP1				11
#define CLK_IMG_GALS					12
#define CLK_IMG_DIP0_DUMMY				13
#define CLK_IMG_WPE0_DUMMY				14
#define CLK_IMG_IPE_DUMMY				15
#define CLK_IMG_WPE1_DUMMY				16
#define CLK_IMG_WPE2_DUMMY				17
#define CLK_IMG_NR_CLK					18

/* DIP_TOP_DIP1 */
#define CLK_DIP_TOP_DIP1_LARB10				0
#define CLK_DIP_TOP_DIP1_DIP_TOP			1
#define CLK_DIP_TOP_DIP1_NR_CLK				2

/* DIP_NR_DIP1 */
#define CLK_DIP_NR_DIP1_LARB15				0
#define CLK_DIP_NR_DIP1_DIP_NR				1
#define CLK_DIP_NR_DIP1_NR_CLK				2

/* WPE1_DIP1 */
#define CLK_WPE1_DIP1_LARB11				0
#define CLK_WPE1_DIP1_WPE				1
#define CLK_WPE1_DIP1_NR_CLK				2

/* IPESYS */
#define CLK_IPE_DPE					0
#define CLK_IPE_FDVT					1
#define CLK_IPE_ME					2
#define CLK_IPESYS_TOP					3
#define CLK_IPE_SMI_LARB12				4
#define CLK_IPE_NR_CLK					5

/* WPE2_DIP1 */
#define CLK_WPE2_DIP1_LARB11				0
#define CLK_WPE2_DIP1_WPE				1
#define CLK_WPE2_DIP1_NR_CLK				2

/* WPE3_DIP1 */
#define CLK_WPE3_DIP1_LARB11				0
#define CLK_WPE3_DIP1_WPE				1
#define CLK_WPE3_DIP1_NR_CLK				2

/* VDEC_SOC_GCON_BASE */
#define CLK_VDE1_LARB1_CKEN				0
#define CLK_VDE1_LAT_CKEN				1
#define CLK_VDE1_LAT_ACTIVE				2
#define CLK_VDE1_LAT_CKEN_ENG				3
#define CLK_VDE1_MINI_MDP_CKEN_CFG_RG			4
#define CLK_VDE1_VDEC_CKEN				5
#define CLK_VDE1_VDEC_ACTIVE				6
#define CLK_VDE1_VDEC_CKEN_ENG				7
#define CLK_VDE1_NR_CLK					8

/* VDEC_GCON_BASE */
#define CLK_VDE2_LARB1_CKEN				0
#define CLK_VDE2_LAT_CKEN				1
#define CLK_VDE2_LAT_ACTIVE				2
#define CLK_VDE2_LAT_CKEN_ENG				3
#define CLK_VDE2_VDEC_CKEN				4
#define CLK_VDE2_VDEC_ACTIVE				5
#define CLK_VDE2_VDEC_CKEN_ENG				6
#define CLK_VDE2_NR_CLK					7

/* VENC_GCON */
#define CLK_VEN1_CKE0_LARB				0
#define CLK_VEN1_CKE1_VENC				1
#define CLK_VEN1_CKE2_JPGENC				2
#define CLK_VEN1_CKE3_JPGDEC				3
#define CLK_VEN1_CKE4_JPGDEC_C1				4
#define CLK_VEN1_CKE5_GALS				5
#define CLK_VEN1_CKE6_GALS_SRAM				6
#define CLK_VEN1_NR_CLK					7

/* VENC_GCON_CORE1 */
#define CLK_VEN2_CKE0_LARB				0
#define CLK_VEN2_CKE1_VENC				1
#define CLK_VEN2_CKE2_JPGENC				2
#define CLK_VEN2_CKE3_JPGDEC				3
#define CLK_VEN2_CKE4_JPGDEC_C1				4
#define CLK_VEN2_CKE5_GALS				5
#define CLK_VEN2_CKE6_GALS_SRAM				6
#define CLK_VEN2_NR_CLK					7

/* APUPLL_PLL_CTRL */
#define CLK_APU0_AO_APUPLL				0
#define CLK_APU0_AO_NR_CLK				1

/* NPUPLL_PLL_CTRL */
#define CLK_NPU_AO_NPUPLL				0
#define CLK_NPU_AO_NR_CLK				1

/* APUPLL1_PLL_CTRL */
#define CLK_APU1_AO_APUPLL1				0
#define CLK_APU1_AO_NR_CLK				1

/* VLP_CKSYS */
#define CLK_VLP_CK_SCP_SEL				0
#define CLK_VLP_CK_PWRAP_ULPOSC_SEL			1
#define CLK_VLP_CK_DXCC_VLP_SEL				2
#define CLK_VLP_CK_SPMI_P_MST_SEL			3
#define CLK_VLP_CK_SPMI_M_MST_SEL			4
#define CLK_VLP_CK_DVFSRC_SEL				5
#define CLK_VLP_CK_PWM_VLP_SEL				6
#define CLK_VLP_CK_AXI_VLP_SEL				7
#define CLK_VLP_CK_DBGAO_26M_SEL			8
#define CLK_VLP_CK_SYSTIMER_26M_SEL			9
#define CLK_VLP_CK_SSPM_SEL				10
#define CLK_VLP_CK_SSPM_F26M_SEL			11
#define CLK_VLP_CK_SRCK_SEL				12
#define CLK_VLP_CK_SRAMRC_SEL				13
#define CLK_VLP_CK_SCP_SPI_SEL				14
#define CLK_VLP_CK_SCP_IIC_SEL				15
#define CLK_VLP_CK_SCP					16
#define CLK_VLP_CK_SCP_SPI				17
#define CLK_VLP_CK_SCP_IIC				18
#define CLK_VLP_CK_PWRAP_ULPOSC				19
#define CLK_VLP_CK_APXGPT66M_BCLK			20
#define CLK_VLP_CK_DXCC					21
#define CLK_VLP_CK_SPMI_P_MST				22
#define CLK_VLP_CK_SPMI_M_MST				23
#define CLK_VLP_CK_DVFSRC				24
#define CLK_VLP_CK_PWM_VLP				25
#define CLK_VLP_CK_AXI_VLP				26
#define CLK_VLP_CK_DBGAO_26M				27
#define CLK_VLP_CK_SYSTIMER_26M				28
#define CLK_VLP_CK_APEINT_66M				29
#define CLK_VLP_CK_SSPM					30
#define CLK_VLP_CK_SSPM_F26M				31
#define CLK_VLP_CK_SRCK					32
#define CLK_VLP_CK_SRAMRC				33
#define CLK_VLP_CK_SYSTIMER_32K				34
#define CLK_VLP_CK_SPMI_M_MST_32K			35
#define CLK_VLP_CK_SPMI_P_MST_32K			36
#define CLK_VLP_CK_SEJ_32K				37
#define CLK_VLP_CK_RTC					38
#define CLK_VLP_CK_SPM					39
#define CLK_VLP_CK_RTC32K_CK_NO_SCAN			40
#define CLK_VLP_CK_SYS26M_CK_NO_SCAN			41
#define CLK_VLP_CK_OSC26M_CK_NO_SCAN			42
#define CLK_VLP_CK_APEINT_32K				43
#define CLK_VLP_CK_MD_BUCK_CTRL_OSC26M			44
#define CLK_VLP_CK_SSPM_F32K				45
#define CLK_VLP_CK_SSPM_ULPOSC				46
#define CLK_VLP_CK_MD_OSC_26M				47
#define CLK_VLP_CK_NR_CLK				48

/* CAM_MAIN_R1A */
#define CLK_CAM_MAIN_LARB13_CON				0
#define CLK_CAM_MAIN_LARB14_CON				1
#define CLK_CAM_MAIN_CAM_CON				2
#define CLK_CAM_MAIN_CAM_SUBA_CON			3
#define CLK_CAM_MAIN_CAM_SUBB_CON			4
#define CLK_CAM_MAIN_CAM_SUBC_CON			5
#define CLK_CAM_MAIN_CAM_MRAW_CON			6
#define CLK_CAM_MAIN_CAMTG_CON				7
#define CLK_CAM_MAIN_SENINF_CON				8
#define CLK_CAM_MAIN_GCAMSVA_CON			9
#define CLK_CAM_MAIN_GCAMSVB_CON			10
#define CLK_CAM_MAIN_GCAMSVC_CON			11
#define CLK_CAM_MAIN_GCAMSVD_CON			12
#define CLK_CAM_MAIN_GCAMSVE_CON			13
#define CLK_CAM_MAIN_GCAMSVF_CON			14
#define CLK_CAM_MAIN_GCAMSVG_CON			15
#define CLK_CAM_MAIN_GCAMSVH_CON			16
#define CLK_CAM_MAIN_GCAMSVI_CON			17
#define CLK_CAM_MAIN_GCAMSVJ_CON			18
#define CLK_CAM_MAIN_CAMSV_TOP_CON			19
#define CLK_CAM_MAIN_CAMSV_CQ_A_CON			20
#define CLK_CAM_MAIN_CAMSV_CQ_B_CON			21
#define CLK_CAM_MAIN_CAMSV_CQ_C_CON			22
#define CLK_CAM_MAIN_ADL_CON				23
#define CLK_CAM_MAIN_ASG_CON				24
#define CLK_CAM_MAIN_PDA0_CON				25
#define CLK_CAM_MAIN_PDA1_CON				26
#define CLK_CAM_MAIN_PDA2_CON				27
#define CLK_CAM_MAIN_FAKE_ENG_CON			28
#define CLK_CAM_MAIN_CAM2MM0_GALS_CON			29
#define CLK_CAM_MAIN_CAM2MM1_GALS_CON			30
#define CLK_CAM_MAIN_CAM2SYS_GALS_CON			31
#define CLK_CAM_MAIN_CAM_SUBA_CON_DUMMY			32
#define CLK_CAM_MAIN_CAM_SUBB_CON_DUMMY			33
#define CLK_CAM_MAIN_CAM_SUBC_CON_DUMMY			34
#define CLK_CAM_MAIN_CAM_MRAW_CON_DUMMY			35
#define CLK_CAM_M_NR_CLK				36

/* CAMSYS_RAWA */
#define CLK_CAM_RA_LARBX				0
#define CLK_CAM_RA_CAM					1
#define CLK_CAM_RA_CAMTG				2
#define CLK_CAM_RA_LARBX_DUMMY				3
#define CLK_CAM_RA_NR_CLK				4

/* CAMSYS_YUVA */
#define CLK_CAM_YA_LARBX				0
#define CLK_CAM_YA_CAM					1
#define CLK_CAM_YA_CAMTG				2
#define CLK_CAM_YA_LARBX_DUMMY				3
#define CLK_CAM_YA_NR_CLK				4

/* CAMSYS_RAWB */
#define CLK_CAM_RB_LARBX				0
#define CLK_CAM_RB_CAM					1
#define CLK_CAM_RB_CAMTG				2
#define CLK_CAM_RB_LARBX_DUMMY				3
#define CLK_CAM_RB_NR_CLK				4

/* CAMSYS_YUVB */
#define CLK_CAM_YB_LARBX				0
#define CLK_CAM_YB_CAM					1
#define CLK_CAM_YB_CAMTG				2
#define CLK_CAM_YB_LARBX_DUMMY				3
#define CLK_CAM_YB_NR_CLK				4

/* CAMSYS_RAWC */
#define CLK_CAM_RC_LARBX				0
#define CLK_CAM_RC_CAM					1
#define CLK_CAM_RC_CAMTG				2
#define CLK_CAM_RC_LARBX_DUMMY				3
#define CLK_CAM_RC_NR_CLK				4

/* CAMSYS_YUVC */
#define CLK_CAM_YC_LARBX				0
#define CLK_CAM_YC_CAM					1
#define CLK_CAM_YC_CAMTG				2
#define CLK_CAM_YC_LARBX_DUMMY				3
#define CLK_CAM_YC_NR_CLK				4

/* CAMSYS_MRAW */
#define CLK_CAM_MR_LARBX				0
#define CLK_CAM_MR_CAMTG				1
#define CLK_CAM_MR_MRAW0				2
#define CLK_CAM_MR_MRAW1				3
#define CLK_CAM_MR_MRAW2				4
#define CLK_CAM_MR_MRAW3				5
#define CLK_CAM_MR_PDA0					6
#define CLK_CAM_MR_PDA1					7
#define CLK_CAM_MR_LARBX_DUMMY				8
#define CLK_CAM_MR_NR_CLK				9

/* CCU_MAIN */
#define CLK_CCU_LARB19					0
#define CLK_CCU_AHB					1
#define CLK_CCUSYS_CCU0					2
#define CLK_CCUSYS_CCU1					3
#define CLK_CCU_NR_CLK					4

/* AFE */
#define CLK_AFE_AFE					0
#define CLK_AFE_22M					1
#define CLK_AFE_24M					2
#define CLK_AFE_APLL2_TUNER				3
#define CLK_AFE_APLL_TUNER				4
#define CLK_AFE_TDM					5
#define CLK_AFE_ADC					6
#define CLK_AFE_DAC					7
#define CLK_AFE_DAC_PREDIS				8
#define CLK_AFE_TML					9
#define CLK_AFE_NLE					10
#define CLK_AFE_GENERAL3_ASRC				11
#define CLK_AFE_CONNSYS_I2S_ASRC			12
#define CLK_AFE_GENERAL1_ASRC				13
#define CLK_AFE_GENERAL2_ASRC				14
#define CLK_AFE_DAC_HIRES				15
#define CLK_AFE_ADC_HIRES				16
#define CLK_AFE_ADC_HIRES_TML				17
#define CLK_AFE_ADDA6_ADC				18
#define CLK_AFE_ADDA6_ADC_HIRES				19
#define CLK_AFE_3RD_DAC					20
#define CLK_AFE_3RD_DAC_PREDIS				21
#define CLK_AFE_3RD_DAC_TML				22
#define CLK_AFE_3RD_DAC_HIRES				23
#define CLK_AFE_I2S5_BCLK				24
#define CLK_AFE_I2S6_BCLK				25
#define CLK_AFE_I2S7_BCLK				26
#define CLK_AFE_I2S8_BCLK				27
#define CLK_AFE_I2S9_BCLK				28
#define CLK_AFE_ETDM_IN0_BCLK				29
#define CLK_AFE_ETDM_OUT0_BCLK				30
#define CLK_AFE_I2S1_BCLK				31
#define CLK_AFE_I2S2_BCLK				32
#define CLK_AFE_I2S3_BCLK				33
#define CLK_AFE_I2S4_BCLK				34
#define CLK_AFE_ETDM_IN1_BCLK				35
#define CLK_AFE_ETDM_OUT1_BCLK				36
#define CLK_AFE_NR_CLK					37

/* MMINFRA_CONFIG */
#define CLK_MMINFRA_GCE_D				0
#define CLK_MMINFRA_GCE_M				1
#define CLK_MMINFRA_SMI					2
#define CLK_MMINFRA_GCE_26M				3
#define CLK_MMINFRA_CONFIG_NR_CLK			4

/* MDPSYS_CONFIG */
#define CLK_MDP_MUTEX0					0
#define CLK_MDP_APB_BUS					1
#define CLK_MDP_SMI0					2
#define CLK_MDP_RDMA0					3
#define CLK_MDP_FG0					4
#define CLK_MDP_HDR0					5
#define CLK_MDP_AAL0					6
#define CLK_MDP_RSZ0					7
#define CLK_MDP_TDSHP0					8
#define CLK_MDP_COLOR0					9
#define CLK_MDP_WROT0					10
#define CLK_MDP_FAKE_ENG0				11
#define CLK_MDP_DLI_ASYNC0				12
#define CLK_MDP_DLI_ASYNC1				13
#define CLK_MDP_RDMA1					14
#define CLK_MDP_FG1					15
#define CLK_MDP_HDR1					16
#define CLK_MDP_AAL1					17
#define CLK_MDP_RSZ1					18
#define CLK_MDP_TDSHP1					19
#define CLK_MDP_COLOR1					20
#define CLK_MDP_WROT1					21
#define CLK_MDP_RSZ2					22
#define CLK_MDP_WROT2					23
#define CLK_MDP_DLO_ASYNC0				24
#define CLK_MDP_RSZ3					25
#define CLK_MDP_WROT3					26
#define CLK_MDP_DLO_ASYNC1				27
#define CLK_MDP_HRE_TOP_MDPSYS				28
#define CLK_MDP_NR_CLK					29

/* MDPSYS1_CONFIG */
#define CLK_MDP1_MDP_MUTEX0				0
#define CLK_MDP1_APB_BUS				1
#define CLK_MDP1_SMI0					2
#define CLK_MDP1_MDP_RDMA0				3
#define CLK_MDP1_MDP_FG0				4
#define CLK_MDP1_MDP_HDR0				5
#define CLK_MDP1_MDP_AAL0				6
#define CLK_MDP1_MDP_RSZ0				7
#define CLK_MDP1_MDP_TDSHP0				8
#define CLK_MDP1_MDP_COLOR0				9
#define CLK_MDP1_MDP_WROT0				10
#define CLK_MDP1_MDP_FAKE_ENG0				11
#define CLK_MDP1_MDP_DLI_ASYNC0				12
#define CLK_MDP1_MDP_DLI_ASYNC1				13
#define CLK_MDP1_MDP_RDMA1				14
#define CLK_MDP1_MDP_FG1				15
#define CLK_MDP1_MDP_HDR1				16
#define CLK_MDP1_MDP_AAL1				17
#define CLK_MDP1_MDP_RSZ1				18
#define CLK_MDP1_MDP_TDSHP1				19
#define CLK_MDP1_MDP_COLOR1				20
#define CLK_MDP1_MDP_WROT1				21
#define CLK_MDP1_MDP_RSZ2				22
#define CLK_MDP1_MDP_WROT2				23
#define CLK_MDP1_MDP_DLO_ASYNC0				24
#define CLK_MDP1_MDP_RSZ3				25
#define CLK_MDP1_MDP_WROT3				26
#define CLK_MDP1_MDP_DLO_ASYNC1				27
#define CLK_MDP1_HRE_TOP_MDPSYS				28
#define CLK_MDP1_NR_CLK					29

#endif /* _DT_BINDINGS_CLK_MT6895_H */

