/* SPDX-License-Identifier: GPL-2.0 */
/*
 * This header provides macros for MT6375 device bindings.
 *
 * Copyright (c) 2021 Mediatek Inc.
 * Author: ShuFan Lee <shufan_lee@richtek.com>
 */

#ifndef _DT_BINDINGS_MFD_MT6375_H
#define _DT_BINDINGS_MFD_MT6375_H

/* PMU IRQ numbers */
#define MT6375_FL_PWR_RDY	0
#define MT6375_FL_DETACH	1
#define MT6375_FL_RECHG		2
#define MT6375_FL_CHG_DONE	3
#define MT6375_FL_BK_CHG	4
#define MT6375_FL_IEOC		5
#define MT6375_FL_CHG_RDY	6
#define MT6375_FL_VBUS_GD	7
#define MT6375_FL_VBUS_OV	8
#define MT6375_FL_CHG_BATOV	9
#define MT6375_FL_CHG_SYSOV	10
#define MT6375_FL_CHG_TOUT	11
#define MT6375_FL_CHG_BUSUV	12
#define MT6375_FL_CHG_THREG	13
#define MT6375_FL_CHG_AICR	14
#define MT6375_FL_CHG_MIVR	15
#define MT6375_FL_SYS_SHORT	16
#define MT6375_FL_SYS_MIN	17
#define MT6375_FL_AICC_DONE	18
#define MT6375_FL_PE_DONE	19
#define MT6375_PP_PGB_EVT	21
#define MT6375_FT_DIG_THR	22
#define MT6375_FL_WDT		23
#define MT6375_FL_OTG_FAULT	24
#define MT6375_FL_OTG_BAT_LBP	25
#define MT6375_FL_OTG_CC	26
#define MT6375_FL_BATPRO_DONE	27
#define MT6375_FL_DCD_DONE	29
#define MT6375_FL_BC12_HVDCP	30
#define MT6375_FL_BC12_DN	31
#define MT6375_INT_CHRDET_UV	32
#define MT6375_INT_CHRDET_OV	33
#define MT6375_INT_CHRDET_EXT	34
#define MT6375_ADC_VBAT_MON_OV	43
#define MT6375_ADC_DONEI	44
#define MT6375_PARRX_EVT	48
#define MT6375_CRCRX_EVT	49
#define MT6375_CRCPAR_EVT	50
#define MT6375_NACK_EVT		51
#define MT6375_ACT_EVT		52
#define MT6375_CMDCPL_EVT	53
#define MT6375_NO_RESP_EVT	54
#define MT6375_RESP_EVT		55
#define MT6375_OTP0_EVT		64
#define MT6375_OTP1_EVT		65
#define MT6375_QONB_RST_EVT	67
#define MT6375_MRSTB_EVT	68
#define MT6375_VDDAOV_EVT	70
#define MT6375_GM30_EVT		104
#define MT6375_USBID_EVT	112
#define MT6375_PD_EVT		120

/* BMS IRQ numbers */
#define MT6375_IRQ_FG_BAT_H		0
#define MT6375_IRQ_FG_BAT_L		1
#define MT6375_IRQ_FG_CUR_H		2
#define MT6375_IRQ_FG_CUR_L		3
#define MT6375_IRQ_FG_ZCV		4
#define MT6375_IRQ_FG_N_CHARGE_L	7
#define MT6375_IRQ_FG_IAVG_H		8
#define MT6375_IRQ_FG_IAVG_L		9
#define MT6375_IRQ_FG_DISCHARGE		11
#define MT6375_IRQ_FG_CHARGE		12
#define MT6375_IRQ_BATON_LV		16
#define MT6375_IRQ_BATON_BAT_IN		18
#define MT6375_IRQ_BATON_BAT_OUT	19
#define MT6375_IRQ_BAT_H		24
#define MT6375_IRQ_BAT_L		25
#define MT6375_IRQ_BAT2_H		26
#define MT6375_IRQ_BAT2_L		27
#define MT6375_IRQ_BAT_TEMP_H		28
#define MT6375_IRQ_BAT_TEMP_L		29
#define MT6375_IRQ_AUXADC_IMP		32
#define MT6375_IRQ_NAG_C_DLTV		33
#define MT6375_BMS_IRQ_MAX \
	(MT6375_IRQ_NAG_C_DLTV - MT6375_IRQ_FG_BAT_H + 1)

#endif
