/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2022 MediaTek Inc.
 * Author: ChiYuan Huang <cy_huang@richtek.com>
 */

#ifndef _DT_BINDINGS_MFD_RT9467_H
#define _DT_BINDINGS_MFD_RT9467_H

/* IRQ definitions */
/* STATE 0x50, MASK 0x60 */
#define RT9467_IRQ_CHG_TREG	4
#define RT9467_IRQ_CHG_AICR	5
#define RT9467_IRQ_CHG_MIVR	6
#define RT9467_IRQ_PWR_RDY	7

/* STATE 0x51, MASK 0x61 */
#define RT9467_IRQ_CHG_VSYSUV	12
#define RT9467_IRQ_CHG_VSYSOV	13
#define RT9467_IRQ_CHG_VBATOV	14
#define RT9467_IRQ_CHG_VBUSOV	15

/* STATE 0x52, MASK 0x62 */
#define RT9467_IRQ_TS_BAT_COLD  20
#define RT9467_IRQ_TS_BAT_COOL  21
#define RT9467_IRQ_TS_BAT_WARM  22
#define RT9467_IRQ_TS_BAT_HOT   23

/* STATE 0x53, MASK 0x63 */
#define RT9467_IRQ_CHG_TMR	27
#define RT9467_IRQ_CHG_BATABS	28
#define RT9467_IRQ_CHG_ADPBAD	29
#define RT9467_IRQ_CHG_RVP	30
#define RT9467_IRQ_OTP		31

/* STATE 0x54, MASK 0x64 */
#define RT9467_IRQ_CHG_AICLM	32
#define RT9467_IRQ_CHG_ICHGM	33
#define RT9467_IRQ_WDTMR	35
#define RT9467_IRQ_SSFINISH	36
#define RT9467_IRQ_CHG_RECHG	37
#define RT9467_IRQ_CHG_TERM	38
#define RT9467_IRQ_CHG_IEOC	39

/* STATE 0x55, MASK 0x65 */
#define RT9467_IRQ_ADC_DONE	40
#define RT9467_IRQ_PUMPX_DONE	41
#define RT9467_IRQ_BST_BATUV	45
#define RT9467_IRQ_BST_MIDOV	46
#define RT9467_IRQ_BST_OLP	47

/* STATE 0x56, MASK 0x66 */
#define RT9467_IRQ_ATTACH	48
#define RT9467_IRQ_DETACH	49
#define RT9467_IRQ_HVDCP_DET	53
#define RT9467_IRQ_CHGDET	54
#define RT9467_IRQ_DCDT  	55

#endif
